org.eclipse.ease.lang.unittest.ui.editor

## Class OverviewPage

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.ui.forms.editor.FormPage
        - - org.eclipse.ease.lang.unittest.ui.editor.AbstractEditorPage
          - - org.eclipse.ease.lang.unittest.ui.editor.OverviewPage

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IFormPage, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class OverviewPage
    extends AbstractEditorPage

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`OverviewPage(FormEditor editor, java.lang.String id, java.lang.String title)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Image` `getTitleImage()`
`void` `setActive(boolean active)`

### Methods inherited from class org.eclipse.ease.lang.unittest.ui.editor.AbstractEditorPage

`getEditor, getEditorInput`

### Methods inherited from class org.eclipse.ui.forms.editor.FormPage

`canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, getId, getIndex, getManagedForm, getPartControl, init, initialize, isActive, isDirty, isEditor, isSaveAsAllowed, selectReveal, setFocus, setIndex`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IEditorPart

`getEditorSite`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.ISaveablePart

`isSaveOnCloseNeeded`

### Constructor Detail

#### OverviewPage

    public OverviewPage(FormEditor editor,
                        java.lang.String id,
                        java.lang.String title)

### Method Detail

#### getTitleImage

    public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `FormPage`

#### setActive

    public void setActive(boolean active)

Specified by:
  `setActive` in interface `IFormPage`
Overrides:
  `setActive` in class `FormPage`